<?xml version="1.0"?>
<!-- 
    Note: As an alternative to hand editing this file you can use the 
    web admin tool to configure settings for your application. Use
    the Website->Asp.Net Configuration option in Visual Studio.
    A full list of settings and comments can be found in 
    machine.config.comments usually located in 
    \Windows\Microsoft.Net\Framework\v2.x\Config 
-->
<configuration>
  <configSections>
    <section name="Charter.Website.ECommerceGateway.Providers" type="RemotingServices.ProviderSectionHandler" allowDefinition="Everywhere" allowLocation="true"/>
    <section name="Receivers" type="RemotingServices.ProviderSectionHandler" allowDefinition="Everywhere" allowLocation="true"/>
    <section name="loggingConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.LoggingSettings, Microsoft.Practices.EnterpriseLibrary.Logging, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null"/>
    <section name="exceptionHandling" type="Microsoft.Practices.EnterpriseLibrary.ExceptionHandling.Configuration.ExceptionHandlingSettings, Microsoft.Practices.EnterpriseLibrary.ExceptionHandling, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null"/>
    <section name="quartz" type="System.Configuration.NameValueSectionHandler, System, Version=1.0.5000.0,Culture=neutral, PublicKeyToken=b77a5c561934e089" />
  </configSections>
  <configProtectedData>
    <providers>
      <add keyContainername="CharterDotComKey" useMachineContainer="true" name="CustomProvider" type="System.Configuration.RsaProtectedConfigurationProvider,System.Configuration, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"/>
    </providers>
  </configProtectedData>
  <!-- ###############################################################################################     -->
  <!-- START RUN AS   P R O D U C T I O N   AND ALSO CAN BE USED TO EMULATE PRODUCTION WHEN DEBUGGING ON LAPTOP  -->
  <!-- ###############################################################################################     -->
  <!--
  <appSettings>
    <add key="SCRATCHWEBSERVER" value="PROD.SCRATCHWEBSERVER" />
    <add key="ConfigLocation" value="PROD.REMOTINGHOST" />
    <add key="SiteSettings" value="charter!" />
    <add key="AppServer" value="PROD.REMOTINGHOST" />
    <add key="WebServer" value="PROD.WEBSERVER" />
    <add key="errorMessage" value="An error has occurred. Please contact one of the support contacts you were given." />
    <add key="invalidCredentials" value="Access Denied.{br}We're sorry, but  we were unable to log you in at this time.  Please check your username and password and try again.  If{br}you do not have access to this area, please contact the Charter.com Support Team about receiving access.{br}" />
    <add key="Charter.Website.WS.CommerceEngineConnectionString" value="Server=CC2PRD;Database=CharterDotcom;User ID=charterdotcomdbo;Pwd=4kIeEon0;" />
    <add key="SupprtFAQ" value="69" />
    <add key="SupprtFAQCableTV" value="70" />
    <add key="SupprtFAQInternet" value="71" />
    <add key="SupprtFAQTelephone" value="72" />
    <add key="SupprtFAQAccount" value="73" />
    <add key="SupprtFAQHomePage" value="82" />
    <add key="ErrorQueueLocation" value="\Private$\ErrorLogging" />
    <add key="ContentAuthorRoleName" value="ContentAuthor" />
    <add key="ContentApproverRoleName" value="ContentApprover" />
    <add key="ContentPublisherRoleName" value="ContentPublisher" />
    <add key="SiteAdminRoleName" value="SiteAdmin" />
    <add key="UserAdminRoleName" value="UserAdmin" />
    <add key="ContentAdminRoleName" value="ContentAdmin" />
    <add key="DocumentAdminRoleName" value="DocumentAdmin" />
    <add key="ImageAdminRoleName" value="ImageAdmin" />
    <add key="CMSUserRoleName" value="CMSUser" />
    <add key="DMSAdmin.DocumentAdminService" value="http://localhost/CharterDotCom_CMSWebServices/DocumentAdminService.asmx" />
    <add key="CMS.CMSWebService" value="http://localhost/CharterDotCom_CMSWebServices/CMSWebService.asmx" />
    <add key="PREVIEWSITE" value="http://cc2prdw:9000" />
    <add key="SMTPSERVER" value="mail.corp.chartercom.com" />
    <add key="TRIPLE_DES_CRYPTO_P" value="charter!" />
  </appSettings>
  -->
  <!-- ###############################################################################################     -->
  <!-- END RUN AS   P R O D U C T I O N   AND ALSO CAN BE USED TO EMULATE PRODUCTION WHEN DEBUGGING ON LAPTOP  -->
  <!-- ###############################################################################################     -->
  
  
  <!-- ###############################################################################################     -->
  <!-- START RUN AS   T E S T   AND ALSO CAN BE USED TO EMULATE TEST WHEN DEBUGGING ON LAPTOP                    -->
  <!-- ###############################################################################################     -->
  <!--
  <appSettings>
    <add key="SCRATCHWEBSERVER" value="TEST.SCRATCHWEBSERVER" />
    <add key="ConfigLocation" value="TEST.REMOTINGHOST" />
    <add key="SiteSettings" value="charter!" />
    <add key="AppServer" value="TEST.REMOTINGHOST" />
    <add key="WebServer" value="TEST.WEBSERVER" />
    <add key="errorMessage" value="An error has occurred. Please contact one of the support contacts you were given." />
    <add key="invalidCredentials" value="Access Denied.{br}We're sorry, but  we were unable to log you in at this time.  Please check your username and password and try again.  If{br}you do not have access to this area, please contact the Charter.com Support Team about receiving access.{br}" />
    <add key="Charter.Website.WS.CommerceEngineConnectionString" value="Server=CC2UAT;Database=CharterDotcom;User ID=charterdotcomdbo;Pwd=g28sy75T;" />
    <add key="SupprtFAQ" value="69" />
    <add key="SupprtFAQCableTV" value="70" />
    <add key="SupprtFAQInternet" value="71" />
    <add key="SupprtFAQTelephone" value="72" />
    <add key="SupprtFAQAccount" value="73" />
    <add key="SupprtFAQHomePage" value="82" />
    <add key="ErrorQueueLocation" value="\Private$\ErrorLogging" />
    <add key="ContentAuthorRoleName" value="ContentAuthor" />
    <add key="ContentApproverRoleName" value="ContentApprover" />
    <add key="ContentPublisherRoleName" value="ContentPublisher" />
    <add key="SiteAdminRoleName" value="SiteAdmin" />
    <add key="UserAdminRoleName" value="UserAdmin" />
    <add key="ContentAdminRoleName" value="ContentAdmin" />
    <add key="DocumentAdminRoleName" value="DocumentAdmin" />
    <add key="ImageAdminRoleName" value="ImageAdmin" />
    <add key="CMSUserRoleName" value="CMSUser" />
    <add key="DMSAdmin.DocumentAdminService" value="http://LOCALHOST/CharterDotCom_CMSWebServices/DocumentAdminService.asmx" />
    <add key="CMS.CMSWebService" value="http://LOCALHOST/CharterDotCom_CMSWebServices/CMSWebService.asmx" />
    <add key="PREVIEWSITE" value="http://cc2UATw:9000" />
    <add key="SMTPSERVER" value="mail.corp.chartercom.com" />
    <add key="TRIPLE_DES_CRYPTO_P" value="charter!" />
  </appSettings>
  -->
  <!-- ###############################################################################################     -->
  <!-- END RUN AS   T E S T   AND ALSO CAN BE USED TO EMULATE TEST WHEN DEBUGGING ON LAPTOP                    -->
  <!-- ###############################################################################################     -->
  
  
  <!-- ###############################################################################################     -->
  <!-- START RUN AS   D E V   AND ALSO CAN BE USED TO EMULATE DEV WHEN DEBUGGING ON LAPTOP                       -->
  <!-- ###############################################################################################     -->
  
  <appSettings>
    <add key="SCRATCHWEBSERVER" value="DEV.SCRATCHWEBSERVER"/>
    <add key="ConfigLocation" value="localhost.REMOTINGHOST"/>
    
    <add key="SiteSettings" value="charter!"/>
    <add key="AppServer" value="DEV.REMOTINGHOST"/>
    <add key="WebServer" value="DEV.WEBSERVER"/>
    <add key="errorMessage" value="An error has occurred. Please contact one of the support contacts you were given."/>
    <add key="invalidCredentials" value="Access Denied.{br}We're sorry, but  we were unable to log you in at this time.  Please check your username and password and try again.  If{br}you do not have access to this area, please contact the Charter.com Support Team about receiving access.{br}"/>
    <add key="Charter.Website.WS.CommerceEngineConnectionString" value="Server=ignatz;Database=CharterDotcom;User ID=charter;Pwd=charter;"/>
    <add key="SupprtFAQ" value="69"/>
    <add key="SupprtFAQCableTV" value="70"/>
    <add key="SupprtFAQInternet" value="71"/>
    <add key="SupprtFAQTelephone" value="72"/>
    <add key="SupprtFAQAccount" value="73"/>
    <add key="SupprtFAQHomePage" value="82"/>
    <add key="ErrorQueueLocation" value="\Private$\ErrorLogging"/>
    <add key="ContentAuthorRoleName" value="ContentAuthor"/>
    <add key="ContentApproverRoleName" value="ContentApprover"/>
    <add key="ContentPublisherRoleName" value="ContentPublisher"/>
    <add key="SiteAdminRoleName" value="SiteAdmin"/>
    <add key="UserAdminRoleName" value="UserAdmin"/>
    <add key="ContentAdminRoleName" value="ContentAdmin"/>
    <add key="DocumentAdminRoleName" value="DocumentAdmin"/>
    <add key="ImageAdminRoleName" value="ImageAdmin"/>
    <add key="CMSUserRoleName" value="CMSUser"/>
    <add key="DMSAdmin.DocumentAdminService" value="http://localhost:8080/CharterDotCom_CMSWebServices/DocumentAdminService.asmx"/>
    <add key="CMS.CMSWebService" value="http://localhost:8080/CharterDotCom_CMSWebServices/CMSWebService.asmx"/>
    <add key="PREVIEWSITE" value="http://www.yahoo.com"/>
    <add key="SMTPSERVER" value="mail.corp.chartercom.com"/>
    <add key="TRIPLE_DES_CRYPTO_P" value="charter!"/>
  </appSettings>
  
  <!-- ###############################################################################################     -->
  <!-- END RUN AS   D E V   AND ALSO CAN BE USED TO EMULATE DEV WHEN DEBUGGING ON LAPTOP                   -->
  <!-- ###############################################################################################     -->
  
  
  <!-- ###############################################################################################     -->
  <!-- START RUN AS   L O C A L H O S T   AND ALSO CAN BE USED TO RUN AS LOCALHOST WHEN DEBUGGING ON LAPTOP      -->
  <!-- ###############################################################################################     -->
  <!--
  <appSettings>
    <add key="SCRATCHWEBSERVER" value="MS_PROJ.TEST.SCRATCHWEBSERVER"></add>
    <add key="ConfigLocation" value="MS_PROJ.TEST.REMOTINGHOST"></add>
    <add key="SiteSettings" value="charter!"/>
    <add key="AppServer" value="MS_PROJ.TEST.REMOTINGHOST"></add>
    <add key="WebServer" value="MS_PROJ.TEST.WEBSERVER"></add>
    <add key="errorMessage" value="An error has occurred. Please contact one of the support contacts you were given."/>
    <add key="invalidCredentials" value="Access Denied.{br}We're sorry, but  we were unable to log you in at this time.  Please check your username and password and try again.  If{br}you do not have access to this area, please contact the Charter.com Support Team about receiving access.{br}"/>
    <add key="Charter.Website.WS.CommerceEngineConnectionString" value="Server=KSTLMSQL59;Database=CharterDotcom;User ID=charterdotcomdbo;Pwd=zYpYIpM0;"/>
    <add key="SupprtFAQ" value="69"/>
    <add key="SupprtFAQCableTV" value="70"/>
    <add key="SupprtFAQInternet" value="71"/>
    <add key="SupprtFAQTelephone" value="72"/>
    <add key="SupprtFAQAccount" value="73"/>
    <add key="SupprtFAQHomePage" value="82"/>
    <add key="ErrorQueueLocation" value="\Private$\ErrorLogging"></add>
    <add key="ContentAuthorRoleName" value="ContentAuthor"/>
    <add key="ContentApproverRoleName" value="ContentApprover"/>
    <add key="ContentPublisherRoleName" value="ContentPublisher"/>
    <add key="SiteAdminRoleName" value="SiteAdmin"/>
    <add key="UserAdminRoleName" value="UserAdmin"/>
    <add key="ContentAdminRoleName" value="ContentAdmin"/>
    <add key="DocumentAdminRoleName" value="DocumentAdmin"/>
    <add key="ImageAdminRoleName" value="ImageAdmin"/>
    <add key="CMSUserRoleName" value="CMSUser"/>
    <add key="DMSAdmin.DocumentAdminService" value="http://localhost/bl.remotinghost/CharterDotCom_CMSWebServices/DocumentAdminService.asmx"/>
    <add key="CMS.CMSWebService" value="http://localhost/BL.REMOTINGHOST/CharterDotCom_CMSWebServices/CMSWebService.asmx"/>
    <add key="PREVIEWSITE" value="http://www.yahoo.com"/>
    <add key="SMTPSERVER" value="mail.corp.chartercom.com"/>
    <add key="TRIPLE_DES_CRYPTO_P" value="charter!"/>
  </appSettings>
  -->
  <!-- ###############################################################################################     -->
  <!-- END RUN AS   L O C A L H O S T   AND ALSO CAN BE USED TO RUN AS LOCALHOST WHEN DEBUGGING ON LAPTOP      -->
  <!-- ###############################################################################################     -->
  
  <loggingConfiguration name="Logging Application Block" tracingEnabled="true" defaultCategory="General" logWarningsWhenNoCategoriesMatch="true">
    <listeners>
      <add source="Charter.com" formatter="Text Formatter" log="Application" machineName="" listenerDataType="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.FormattedEventLogTraceListenerData, Microsoft.Practices.EnterpriseLibrary.Logging, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null" traceOutputOptions="None" type="Microsoft.Practices.EnterpriseLibrary.Logging.TraceListeners.FormattedEventLogTraceListener, Microsoft.Practices.EnterpriseLibrary.Logging, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null" name="Formatted EventLog TraceListener"/>
    </listeners>
    <formatters>
      <add template="Timestamp: {timestamp}&#xA;Message: {message}&#xA;Category: {category}&#xA;Priority: {priority}&#xA;EventId: {eventid}&#xA;Severity: {severity}&#xA;Title:{title}&#xA;Machine: {machine}&#xA;Application Domain: {appDomain}&#xA;Process Id: {processId}&#xA;Process Name: {processName}&#xA;Win32 Thread Id: {win32ThreadId}&#xA;Thread Name: {threadName}&#xA;Extended Properties: {dictionary({key} - {value}&#xA;)}" type="Microsoft.Practices.EnterpriseLibrary.Logging.Formatters.TextFormatter, Microsoft.Practices.EnterpriseLibrary.Logging, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null" name="Text Formatter"/>
    </formatters>
    <categorySources>
      <add switchValue="All" name="General">
        <listeners>
          <add name="Formatted EventLog TraceListener"/>
        </listeners>
      </add>
    </categorySources>
    <specialSources>
      <allEvents switchValue="All" name="All Events"/>
      <notProcessed switchValue="All" name="Unprocessed Category"/>
      <errors switchValue="All" name="Logging Errors &amp; Warnings">
        <listeners>
          <add name="Formatted EventLog TraceListener"/>
        </listeners>
      </errors>
    </specialSources>
  </loggingConfiguration>
  
  
  <exceptionHandling>
    <exceptionPolicies>
      <add name="Business Policy">
        <exceptionTypes>
          <add type="System.Exception, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" postHandlingAction="NotifyRethrow" name="Exception"/>
        </exceptionTypes>
      </add>
    </exceptionPolicies>
  </exceptionHandling>

  <quartz>
    <add key="quartz.scheduler.instanceName" value="ServerScheduler" />
    <!-- Configure Thread Pool -->
    <add key="quartz.threadPool.type" value="Quartz.Simpl.SimpleThreadPool, Quartz" />
    <add key="quartz.threadPool.threadCount" value="10" />
    <add key="quartz.threadPool.threadPriority" value="Normal" />
    <!-- Configure Job Store -->
    <add key="quartz.jobStore.misfireThreshold" value="60000" />
    <add key="quartz.jobStore.type" value="Quartz.Simpl.RAMJobStore, Quartz" />
    <add key="quartz.plugin.xml.type" value="Quartz.Plugin.Xml.XMLSchedulingDataProcessorPlugin, Quartz" />
    <add key="quartz.plugin.xml.fileNames" value="~\quartzjobs.config" />
  </quartz>

  <!-- ###############################################################################################     -->
  <!-- ##############################     DATABASE CONNECTIONS  ######################################     -->
  <!-- RUN AS   P R O D U C T I O N   AND ALSO CAN BE USED TO EMULATE PRODUCTION WHEN DEBUGGING ON LAPTOP  -->
  <!-- ###############################################################################################     -->
  <!--
  <connectionStrings>
    <add name="Charter.Website.WS.CommerceEngineConnectionString" connectionString="Server=CC2PRD;Database=CharterDotcom;user id=charterdotcomdbo;password=4kIeEon0;" providerName="System.Data.SqlClient" />
    <add name="CharterDotCom_CMSConnectionString" connectionString="Server=CC2PRD;Database=CharterDotCom_CMS;User ID=charterdotcomdbo;Pwd=4kIeEon0;" providerName="System.Data.SqlClient" />
    <add name="CharterDotComConnectionString" connectionString="Server=CC2PRD;Database=CharterDotcom;user id=charterdotcomdbo;password=4kIeEon0;" providerName="System.Data.SqlClient" />
  </connectionStrings>
  -->
  <!-- ###############################################################################################     -->
  <!-- RUN AS   P R O D U C T I O N   AND ALSO CAN BE USED TO EMULATE PRODUCTION WHEN DEBUGGING ON LAPTOP  -->
  <!-- ###############################################################################################     -->
  
  
  <!-- ###############################################################################################     -->
  <!-- ##############################     DATABASE CONNECTIONS  ######################################     -->
  <!-- RUN AS   T E S T   AND ALSO CAN BE USED TO EMULATE TEST WHEN DEBUGGING ON LAPTOP                    -->
  <!-- ###############################################################################################     -->
<!-- 
  <connectionStrings>
    <add name="Charter.Website.WS.CommerceEngineConnectionString" connectionString="Server=CC2UAT;Database=CharterDotcom;user id=charterdotcomdbo;password=g28sy75T;" providerName="System.Data.SqlClient" />
    <add name="CharterDotCom_CMSConnectionString" connectionString="Server=CC2UAT;Database=CharterDotCom_CMS;User ID=charterdotcomdbo;Pwd=g28sy75T;" providerName="System.Data.SqlClient" />
    <add name="CharterDotComConnectionString" connectionString="Server=CC2UAT;Database=CharterDotcom;user id=charterdotcomdbo;password=g28sy75T;" providerName="System.Data.SqlClient" />
  </connectionStrings>
  -->
  <!-- ###############################################################################################     -->
  <!-- RUN AS   T E S T   AND ALSO CAN BE USED TO EMULATE TEST WHEN DEBUGGING ON LAPTOP                    -->
  <!-- ###############################################################################################     -->

  <connectionStrings>
    <add name="Charter.Website.WS.CommerceEngineConnectionString" connectionString="Server=ignatz;Database=CharterDotcom;user id=charter;password=charter;" providerName="System.Data.SqlClient" />
    <add name="CharterDotCom_CMSConnectionString" connectionString="Server=ignatz;Database=CharterDotCom_CMS;User ID=charter;Pwd=charter;" providerName="System.Data.SqlClient" />
    <add name="CharterDotComConnectionString" connectionString="Server=ignatz;Database=CharterDotcom;user id=charter;password=charter;" providerName="System.Data.SqlClient" />
  </connectionStrings>



  <!-- ###############################################################################################     -->
  <!-- ##############################     DATABASE CONNECTIONS  ######################################     -->
  <!-- RUN AS   D E V   AND ALSO CAN BE USED TO EMULATE DEV WHEN DEBUGGING ON LAPTOP                       -->
  <!-- ###############################################################################################     -->
  <!--
  <connectionStrings>
    <add name="Charter.Website.WS.CommerceEngineConnectionString" connectionString="Server=KSTLMSQL59;Database=CharterDotcom;user id=charterdotcomdbo;password=zYpYIpM0;" providerName="System.Data.SqlClient"/>
    <add name="CharterDotCom_CMSConnectionString" connectionString="Server=KSTLMSQL59;Database=CharterDotCom_CMS;User ID=charterdotcomdbo;Pwd=zYpYIpM0;" providerName="System.Data.SqlClient"/>
    <add name="CharterDotComConnectionString" connectionString="Server=KSTLMSQL59;Database=CharterDotcom;user id=charterdotcomdbo;password=zYpYIpM0;" providerName="System.Data.SqlClient"/>
  </connectionStrings>
  -->
  <!-- ###############################################################################################     -->
  <!-- RUN AS   D E V   AND ALSO CAN BE USED TO EMULATE DEV WHEN DEBUGGING ON LAPTOP                       -->
  <!-- ###############################################################################################     -->
  
  
  <system.runtime.remoting>
    <!--<application>
      -->
    <!--<service>
        <wellknown mode="SingleCall" objectUri="AccountManager.rem" type="RemoteHost.AccountManager, RemoteHost"/>
      </service>-->
    <!--
      <service>
        <wellknown mode="SingleCall" objectUri="AccountManager.rem" type="RemotingServices.BLAccountManager,RemotingServices"/>
      </service>
      <service>
        <wellknown mode="SingleCall" objectUri="CatalogManager.rem" type="RemotingServices.BLCatalogManager, RemotingServices"/>
      </service>
      <service>
        <wellknown mode="SingleCall" objectUri="ContentManager.rem" type="RemotingServices.BLContentManager, RemotingServices"/>
      </service>
      <service>
        <wellknown mode="SingleCall" objectUri="OrderManager.rem" type="RemotingServices.BLOrderManager, RemotingServices"/>
      </service>
      <service>
        <wellknown mode="SingleCall" objectUri="SiteManager.rem" type="RemotingServices.BLSiteManager, RemotingServices"/>
      </service>
      <service>
        <wellknown mode="SingleCall" objectUri="AffiliateCatalogManager.rem" type="RemotingServices.BLAffliateCatalogManager, RemotingServices"/>
      </service>
      <service>
        <wellknown mode="SingleCall" objectUri="AffiliateOrderManager.rem" type="RemotingServices.BLAffiliateOrderManager, RemotingServices"/>
      </service>
    </application>-->
    <application>
      <service>
        <wellknown mode="SingleCall" objectUri="ContentProvider.rem" type="ContentProvider.ProviderManager,ContentProvider"/>
      </service>
      <service>
        <wellknown mode="SingleCall" objectUri="EBSServicesProvider.rem" type="EBSServicesProvider.ProviderManager,EBSServicesProvider"/>
      </service>
      <service>
        <wellknown mode="SingleCall" objectUri="G2BServicesProvider.rem" type="G2BServicesProvider.ProviderManager,G2BServicesProvider"/>
      </service>
      <service>
        <wellknown mode="SingleCall" objectUri="MemberServicesProvider.rem" type="MemberServicesProvider.ProviderManager,MemberServicesProvider"/>
      </service>
      <service>
        <wellknown mode="SingleCall" objectUri="SearchProvider.rem" type="SearchProvider.ProviderManager,SearchProvider"/>
      </service>
      <service>
        <wellknown mode="SingleCall" objectUri="SupportProvider.rem" type="SupportProvider.ProviderManager,SupportProvider"/>
      </service>
      <service>
        <wellknown mode="SingleCall" objectUri="WebConfigProvider.rem" type="WebConfigProvider.ProviderManager,WebConfigProvider"/>
      </service>
      <service>
        <wellknown mode="SingleCall" objectUri="CouponProvider.rem" type="CouponProvider.ProviderManager,CouponProvider"/>
      </service>
    </application>
  </system.runtime.remoting>
  <system.web>
    <!--<anonymousIdentification enabled="true"/>
    <profile>
      <properties>
        <add name="CMSUserID" type="System.String" allowAnonymous="true"></add>
      </properties>
    </profile>-->
    <httpRuntime executionTimeout="600" maxRequestLength="105000"  requestValidationMode="2.0"/>
    <httpHandlers>
      <add verb="*" path="*.ccom" type="ContentImageHandler"/>
      <!--<add verb="*" path="*.ccswf" type="ContentBinaryFileHandler"/>
      <add verb="*" path="*.ccxml" type="ContentBinaryFileHandler"/>-->
    </httpHandlers>
    <httpModules>
      <add name="nlog" type="NLog.Web.NLogHttpModule, NLog.Extended" />
    </httpModules>
    <machineKey validationKey="15031942C6E9297897DB0CE3477F505B1ACD3ACF6DD6A607FDB7B4391B8E2DFBAFF1792F0A13CC028A3587DE279CC4ACFA94892D1896FA5F1D7C87A47CC6EA2B" decryptionKey="AB4A64794A8A0C82C8437ED974FC62DA9A3E787C88203A01" validation="SHA1"/>
    <!-- 
            Set compilation debug="true" to insert debugging 
            symbols into the compiled page. Because this 
            affects performance, set this value to true only 
            during development.
        -->
    <customErrors mode="Off"/>
    <compilation debug="true" targetFramework="4.0">
      <assemblies>
        <add assembly="System.Configuration.Install, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
        <add assembly="System.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
        <add assembly="System.ServiceProcess, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
        <add assembly="System.Runtime.Remoting, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
        <add assembly="System.Messaging, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
        <add assembly="System.Data.OracleClient, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
        <add assembly="System.DirectoryServices, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
        <add assembly="System.Management, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
      </assemblies>
    </compilation>
    <authentication mode="Forms">
      <forms loginUrl="Login.aspx" path="/" protection="All" requireSSL="false" slidingExpiration="true" timeout="60"/>
    </authentication>
    <authorization>
      <allow users="*"/>
    </authorization>
    <pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID" validateRequest="false"/>
  </system.web>
  <system.webServer>
    <validation validateIntegratedModeConfiguration="false"/>
    <modules>
      <add name="nlog" type="NLog.Web.NLogHttpModule, NLog.Extended" />
    </modules>
  </system.webServer>
</configuration>